<?
/**
 * VoiceOne Settings/Plugin
 *
 * Frontend to provide access to the plugin system in voiceone.
 * @package voiceone
 * @subpackage  settings_plugin
 * @todo Create styles for various elements like buttons in the stylesheet instead of hardcoding. See buttons in form plugin  up/download
 */

  include ("../../admin/config/cfg.php");
  global $cwlang, $cwLanguage, $absBasePath;
  
   
  //================ MAIN CONTENTS ================
  ob_start();
  $sel="main"; include("navigation.php");
  ?>
  
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["plugins"]["titleMain"]?></h1>
  </div>
  <p class="blockintro"><?=$cwlang["plugins"]["blockintroMain"]?></p>
  
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["plugins"]["sidebarTitleMain"]?></h1>
          <p><?=$cwlang["plugins"]["sidebarTextMain"]?></p>            
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "plugin");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>